Unassign Phone Number
curl --request POST \
--url https://api.example.com/api/agents/{agent_id}/unassign-phone-number/{phone_number_id} \
--header 'X-API-Key: <x-api-key>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.example.com/api/agents/{agent_id}/unassign-phone-number/{phone_number_id}"
headers = {
"X-API-Key": "<x-api-key>",
"X-Organization-Id": "<x-organization-id>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<x-api-key>', 'X-Organization-Id': '<x-organization-id>'}
};
fetch('https://api.example.com/api/agents/{agent_id}/unassign-phone-number/{phone_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Phone number unassigned successfully",
"data": {
"agent_id": "agent_a1b2c3d4e5f6",
"agent_name": "Sales Rep",
"assigned_phone_number_ids": [],
"updated_at": "2024-01-20T15:00:00Z"
}
}
Agents
Unassign Phone Number
POST
/
api
/
agents
/
{agent_id}
/
unassign-phone-number
/
{phone_number_id}
Unassign Phone Number
Unassign a phone number from an agent.
Headers
string
required
Your API key for authentication.
string
required
The organization ID.
Path Parameters
string
required
The unique identifier of the agent.
string
required
The unique identifier of the phone number to unassign.
Permissions
phone_numbers:update(admin, agent_manager)
Response
boolean
Indicates if the unassignment was successful.
string
Human-readable success message.
object
The updated agent object.
{
"success": true,
"message": "Phone number unassigned successfully",
"data": {
"agent_id": "agent_a1b2c3d4e5f6",
"agent_name": "Sales Rep",
"assigned_phone_number_ids": [],
"updated_at": "2024-01-20T15:00:00Z"
}
}
Errors
object
Agent not found.
object
Access denied to agent.
object
Phone number not assigned to this agent.
⌘I